## vmms 0.0.1

=== requirements.txt ===
pbr>=5.7.0
Flask>=2.0.0
oslo.config>=8.7.0
oslo.db>=12.1.0
oslo.context>=4.1.0
oslo.log>=4.1.0
keystonemiddleware>=9.1.0
alembic>=1.7.0
sqlalchemy>=1.4.0
tooz>=2.7.1
python-mistralclient>=4.1.1
Jinja2>=2.11.3

## vmms 0.0.1~bpo13+1

=== debian/changelog ===
vmms (0.0.1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Wed, 29 Oct 2025 16:58:50 +0000

vmms (0.0.1) unstable; urgency=medium

  * Initial release. (Closes: #1119313)

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Oct 2025 09:25:01 +0200

=== debian/control ===
Source: vmms
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-flask,
 python3-jinja2,
 python3-keystonemiddleware,
 python3-mistralclient,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.policy,
 python3-sqlalchemy,
 python3-tooz,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vmms
Vcs-Git: https://salsa.debian.org/openstack-team/services/vmms.git
Homepage: https://salsa.debian.org/openstack-team/services/vmms

Package: vmms-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 vmms-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VM migration scheduler - api
 VM Migration Scheduler (aka: vmms) is an OpenStack project that makes it
 possible to schedule the migraiton of VMs from one cloud to another. Its API
 allows one to add, list, delete VMs in the Mistral workflow scheduler, while
 the worker is able to schedule VM migrations during a time window.
 .
 This package provides the API.

Package: python3-vmms
Architecture: all
Section: python
Depends:
 alembic,
 python3-alembic,
 python3-flask,
 python3-jinja2,
 python3-keystonemiddleware,
 python3-mistralclient,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.policy,
 python3-pbr,
 python3-sqlalchemy,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VM migration scheduler - Python lib
 VM Migration Scheduler (aka: vmms) is an OpenStack project that makes it
 possible to schedule the migraiton of VMs from one cloud to another. Its API
 allows one to add, list, delete VMs in the Mistral workflow scheduler, while
 the worker is able to schedule VM migrations during a time window.
 .
 This package provides the Python lib.

Package: vmms-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 gettext-base,
 python3-vmms (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VM migration scheduler - common files
 VM Migration Scheduler (aka: vmms) is an OpenStack project that makes it
 possible to schedule the migraiton of VMs from one cloud to another. Its API
 allows one to add, list, delete VMs in the Mistral workflow scheduler, while
 the worker is able to schedule VM migrations during a time window.
 .
 This package provides common files

Package: vmms-worker
Architecture: all
Depends:
 adduser,
 vmms-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VM migration scheduler - worker daemon
 VM Migration Scheduler (aka: vmms) is an OpenStack project that makes it
 possible to schedule the migraiton of VMs from one cloud to another. Its API
 allows one to add, list, delete VMs in the Mistral workflow scheduler, while
 the worker is able to schedule VM migrations during a time window.
 .
 This package provides the worker daemon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .build
	rm -f debian/vmms-common.config debian/vmms-common.postinst \
		debian/vmms-api.config debian/vmms-api.postinst debian/vmms-common.postrm
	rm -rf .stestr

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vmms-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vmms-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vmms-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vmms-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm vmms-common.postrm
	pkgos-merge-templates vmms-api vmms endpoint
	pkgos-merge-templates vmms-common vmms db ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

	mkdir -p $(CURDIR)/debian/vmms-common/etc/vmms/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/vmms-common/etc/vmms/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace vmms

	# Generate the vmms.conf config using installed vmms files.
	mkdir -p $(CURDIR)/debian/vmms-common/usr/share/vmms-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/vmms-common/usr/share/vmms-common/vmms.conf \
		--wrap-width 140 \
		--namespace vmmsopts \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/vmms-common/usr/share/vmms-common/vmms.conf keystone_authtoken vmms
	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## vmms 0.0.1

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.log,
- python3-oslo.policy,
  python3-sqlalchemy,
  python3-tooz,
 Standards-Version: 4.7.2
@@ -64,7 +63,6 @@
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.log,
- python3-oslo.policy,
  python3-pbr,
  python3-sqlalchemy,
  python3-tooz,

=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,6 @@
 override_dh_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
-	mkdir -p $(CURDIR)/debian/vmms-common/etc/vmms/policy.d
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
-		--output-file $(CURDIR)/debian/vmms-common/etc/vmms/policy.d/00_default_policy.yaml \
-		--format yaml \
-		--namespace vmms
-
 	# Generate the vmms.conf config using installed vmms files.
 	mkdir -p $(CURDIR)/debian/vmms-common/usr/share/vmms-common
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
@@ -43,9 +37,7 @@
 		--wrap-width 140 \
 		--namespace vmmsopts \
 		--namespace oslo.db \
-		--namespace oslo.db.concurrency \
 		--namespace oslo.log \
-		--namespace oslo.policy \
 		--namespace keystonemiddleware.auth_token
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/vmms-common/usr/share/vmms-common/vmms.conf keystone_authtoken vmms
 	dh_install

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://salsa.debian.org/openstack-team/services/vmms.git refs/tags/(\d[brc\d\.]+)

## vmms 0.0.2~bpo12+1

=== debian/changelog ===
vmms (0.0.2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Mon, 24 Nov 2025 22:26:57 +0000

vmms (0.0.2) unstable; urgency=medium

  * Fixed copyright holding in all files.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Nov 2025 10:09:10 +0100

## vmms 0.0.2~bpo13+1

=== debian/changelog ===
vmms (0.0.2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Thu, 13 Nov 2025 09:10:51 +0000

## vmms 0.0.2

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 oslo.db>=12.1.0
 oslo.context>=4.1.0
 oslo.log>=4.1.0
+oslo.policy>=3.5.0
 keystonemiddleware>=9.1.0
 alembic>=1.7.0
 sqlalchemy>=1.4.0

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Build-Depends-Indep:
  alembic,
  python3-alembic,
+ python3-fixtures,
  python3-flask,
  python3-jinja2,
  python3-keystonemiddleware,
@@ -22,8 +23,12 @@
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.log,
+ python3-oslo.policy,
  python3-sqlalchemy,
+ python3-stestr,
+ python3-testtools,
  python3-tooz,
+ subunit,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/vmms
 Vcs-Git: https://salsa.debian.org/openstack-team/services/vmms.git
@@ -63,6 +68,7 @@
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.log,
+ python3-oslo.policy,
  python3-pbr,
  python3-sqlalchemy,
  python3-tooz,

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,16 @@
 override_dh_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	pkgos-dh_auto_test --no-py2 'vmms\.tests\..*'
+endif
+
+	mkdir -p $(CURDIR)/debian/vmms-common/etc/vmms/policy.d
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+		--output-file $(CURDIR)/debian/vmms-common/etc/vmms/policy.d/00_default_policy.yaml \
+		--format yaml \
+		--namespace vmms
+
 	# Generate the vmms.conf config using installed vmms files.
 	mkdir -p $(CURDIR)/debian/vmms-common/usr/share/vmms-common
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
@@ -37,7 +47,9 @@
 		--wrap-width 140 \
 		--namespace vmmsopts \
 		--namespace oslo.db \
+		--namespace oslo.db.concurrency \
 		--namespace oslo.log \
+		--namespace oslo.policy \
 		--namespace keystonemiddleware.auth_token
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/vmms-common/usr/share/vmms-common/vmms.conf keystone_authtoken vmms
 	dh_install

## vmms 0.0.3~bpo13+1

=== debian/changelog ===
vmms (0.0.3~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Wed, 26 Nov 2025 08:49:46 +0000

vmms (0.0.3) unstable; urgency=medium

  * Add missing openssh-client runtime depends to vmms-common, needed by
    postinst.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 09:48:01 +0100

## vmms 0.0.3

=== debian/control ===
--- 
+++ 
@@ -89,6 +89,7 @@
  dbconfig-common,
  debconf,
  gettext-base,
+ openssh-client,
  python3-vmms (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},

## vmms 0.0.4~bpo12+1

=== debian/changelog ===
vmms (0.0.4~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 11 Dec 2025 12:36:26 +0000

vmms (0.0.4) unstable; urgency=medium

  * Correctly check tokens and roles with Keystone.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Dec 2025 08:43:18 +0100

## vmms 0.0.4~bpo13+1

=== debian/changelog ===
vmms (0.0.4~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Thu, 11 Dec 2025 09:05:47 +0000
